Problem with Heroku upload
0
Not solved Solved
9 months ago

Hello Guys. need your help for some problem on uploading heroku. here are the details of logs:

gem install rdoc-data; rdoc-data --install

remote: Post-install message from rdoc: remote: Depending on your version of ruby, you may need to install ruby rdoc/ri data: remote: <= 1.8.6 : unsupported remote: = 1.8.7 : gem install rdoc-data; rdoc-data --install remote: = 1.9.1 : gem install rdoc-data; rdoc-data --install remote: >= 1.9.2 : nothing to do! Yay! remote: Post-install message from money: remote: Please note the following API changes in Money version 6 remote: - Money#amount, Money#dollars methods now return instances of BigDecimal (rather than Float). remote: Please read the migration notes at https://github.com/RubyMoney/money#migration-notes remote: and choose the migration that best suits your application.

remote: Test responsibly :-) remote: Bundle completed (48.97s)

Error:

remote: /tmp/build5a33a2fb959cd1ad97415bfd568b074d/vendor/bundle/ruby/2.3.0/gems/sprockets-3.7.0/lib/sprocke ts/legacy.rb:104:in `each' remote: /tmp/build5a33a2fb959cd1ad97415bfd568b074d/vendor/bundle/ruby/2.3.0/gems/sprockets-3.7.0/lib/sprocke ts/legacy.rb:104:in logical_paths' remote: /tmp/build_5a33a2fb959cd1ad97415bfd568b074d/vendor/bundle/ruby/2.3.0/gems/sprockets-3.7.0/lib/sprocke ts/manifest.rb:140:infind' remote: /tmp/build5a33a2fb959cd1ad97415bfd568b074d/vendor/bundle/ruby/2.3.0/gems/sprockets-3.7.0/lib/sprocke ts/manifest.rb:185:in `compile' remote: /tmp/build5a33a2fb959cd1ad97415bfd568b074d/vendor/bundle/ruby/2.3.0/gems/sprockets-rails-3.1.1/lib/s prockets/rails/task.rb:68:in block (3 levels) in define' remote: /tmp/build_5a33a2fb959cd1ad97415bfd568b074d/vendor/bundle/ruby/2.3.0/gems/sprockets-3.7.0/lib/rake/sp rocketstask.rb:147:inwith_logger'

remote: /tmp/build5a33a2fb959cd1ad97415bfd568b074d/vendor/bundle/ruby/2.3.0/gems/sprockets-rails-3.1.1/lib/s prockets/rails/task.rb:67:in `block (2 levels) in define' remote: /tmp/build5a33a2fb959cd1ad97415bfd568b074d/vendor/bundle/ruby/2.3.0/gems/rake-11.2.2/exe/rake:27:in `' remote: Tasks: TOP => assets:precompile remote: (See full trace by running task with --trace) remote: ! remote: ! Precompiling assets failed. remote: ! remote: ! Push rejected, failed to compile Ruby app. remote: remote: ! Push failed remote: Verifying deploy.... remote: remote: ! Push rejected to kardoesie. -====

Cancel
Submit your answer